Package org.silverpeas.components.gallery.model

# Class MetaData

java.lang.Object
org.silverpeas.components.gallery.model.MetaData

All Implemented Interfaces:
  `Serializable`

public class MetaData extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaData()`
  `MetaData(byte[] data)`
  `MetaData(String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `convert(String encoding)`
  `Date`
  `getDateValue()`
  `String`
  `getLabel()`
  `String`
  `getProperty()`
  `String`
  `getValue()`
  `boolean`
  `isDate()`
  `MetaData`
  `setData(byte[] data)`
  `MetaData`
  `setDate(boolean date)`
  `MetaData`
  `setDateValue(Date dateValue)`
  `MetaData`
  `setLabel(String label)`
  `MetaData`
  `setProperty(String property)`
  `MetaData`
  `setValue(String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetaData

    public MetaData()

  - ### MetaData

    public MetaData(String value)

  - ### MetaData

    public MetaData(byte[] data)

- ## Method Details

  - ### getLabel

    public String getLabel()

  - ### setLabel

    public MetaData setLabel(String label)

  - ### isDate

    public boolean isDate()

  - ### setDate

    public MetaData setDate(boolean date)

  - ### getValue

    public String getValue()

  - ### setValue

    public MetaData setValue(String value)

  - ### getProperty

    public String getProperty()

  - ### setProperty

    public MetaData setProperty(String property)

  - ### getDateValue

    public Date getDateValue()

  - ### setDateValue

    public MetaData setDateValue(Date dateValue)

  - ### setData

    public MetaData setData(byte[] data)

  - ### convert

    public void convert(String encoding) throws UnsupportedEncodingException
    Throws:
      `UnsupportedEncodingException`